Package skyview.process.imagefinder

# Class Border

java.lang.Object
skyview.process.ImageFinder
skyview.process.imagefinder.RectRecurse
skyview.process.imagefinder.Border

Direct Known Subclasses:
  `LocalBorder`, `Radius`, `RotatedRectangle`

public class Border extends RectRecurse
This class finds the best images to be used for sampling using using the criterion that the best candidate image is the one where the pixel is furthest from the edge.

## Field Summary

### Fields inherited from class skyview.process.imagefinder.RectRecurse

`CONSUMED, fromOut, NO_COVERAGE, NON_PHYSICAL, SPLIT_X, SPLIT_XY, SPLIT_Y, UNCHECKED`

## Constructor Summary

Constructors
Constructor
Description
`Border()`

## Method Summary

Modifier and Type
Method
Description
`protected double`
`criterion(int i, int nx, int ny, double tx, double ty)`
The criterion is the minimum distance to the edge of the image.

### Methods inherited from class skyview.process.imagefinder.RectRecurse

`cornerMatch, edgeOff, findImages, getCandidate, getImage, getInputLimits, minDist, printOut, radiusSquared, setStrict`

### Methods inherited from class skyview.process.ImageFinder

`factory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Border

public Border()

## Method Details

### criterion

protected double criterion(int i, int nx, int ny, double tx, double ty)
The criterion is the minimum distance to the edge of the image.

Specified by:
  `criterion` in class `RectRecurse`
Parameters:
  `i` - The index of the image being considered
  `nx` - The width of the candidate image
  `ny` - The height of the caandiate image
  `tx` - The x-value of the requested point.
  `ty` - The y-value of the requested point.
Returns:
  A measure of the desirability of using this image to same this point. Larger is better.